#pragma once

namespace WorldMachine {
/// A simple linear congruential PRNG replacement for rand() with some enhancements
class SimpleRand
{
public:
	SimpleRand();
	SimpleRand(const int seed);

	float	nextF();	///< generate a floating point value between 0..1 inclusive
	int		next();									///< generate an integer (default)
	int	nextRange(const int min, const int max);	///< generate an integer between min and max

	unsigned int seed;
private:
	unsigned int xprev;
};
}